==================
``scoring`` module
==================

.. automodule:: semlix.scoring


Base classes
============

.. autoclass:: WeightingModel
    :members:

.. autoclass:: BaseScorer
    :members:

.. autoclass:: WeightScorer
.. autoclass:: WeightLengthScorer


Scoring algorithm classes
=========================

.. autoclass:: BM25F

.. autoclass:: TF_IDF

.. autoclass:: Frequency


Scoring utility classes
=======================

.. autoclass:: FunctionWeighting

.. autoclass:: MultiWeighting

.. autoclass:: ReverseWeighting




